
QGIS Application - Bug report #20655

grass not working in qgisn 2.18.26 ltr. 'r was unexpected at this time8

2018-11-28 10:21 AM - Daniel Morton

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.18.26 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28475

Description

script fail to move results from grass' temporary work are (Appdata).

I expect this is associated with the message: 'r was unexpected at this time'.

C:\OSGeo4W64\bin>g.gisenv.exe

set="GISDBASE=C:\Users\user\AppData\Local\Temp\processing0fe29e2ca2af4404b4455312c20274a5\grassdata"

C:\OSGeo4W64\bin>g.gisenv.exe set="GRASS_GUI=text" 

r was unexpected at this time.

C:\OSGeo4W64\bin>for r in $(g.list type=rast pattern='tmp15433306485454*'); do 

Converting outputs

Loading resulting layers

Algorithm i.pca - Principal components analysis (PCA) for image processing. correctly executed...

History

#1 - 2018-11-28 11:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

is this different from #20648 (other than the QGIS version)?

#2 - 2018-11-28 02:24 PM - Daniel Morton

Yes, it is different.  It mostly works, but fails trying to copy the results from the temporary Grass working directory to user specified output directory. I had

the same problem with r.texture, so I assume it is a generic problem with the grass toolbox functionality.

I can still view the results if I use Grass and point it to the temporary dataset.

Note this was observed in 2.18.26, which cannot be selected from the drop-down when submitting an issue.

#3 - 2018-11-29 11:21 AM - Giovanni Manghi

Daniel Morton wrote:

Yes, it is different.  It mostly works, but fails trying to copy the results from the temporary Grass working directory to user specified output directory. I
had the same problem with r.texture, so I assume it is a generic problem with the grass toolbox functionality.

I can still view the results if I use Grass and point it to the temporary dataset.

Note this was observed in 2.18.26, which cannot be selected from the drop-down when submitting an issue.

GRASS plugin or Processing/GRASS?

#4 - 2018-11-29 11:21 AM - Giovanni Manghi

- Affected QGIS version changed from 2.18.25 to 2.18.26

#5 - 2019-01-20 10:27 PM - Nyall Dawson

Please test with 3.4 - 2.18 is no longer supported

#6 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-02-24 01:41 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
